Subject: [PATCH v1 0/6] USB: Add support for multiple PHYs of same type

From: [email-masked] (kishon)
Date: Tue, 22 Jan 2013 21:46:33 +0530

Hi,

On Tuesday 22 January 2013 09:15 PM, kishon wrote:
> On Tuesday 22 January 2013 09:11 PM, Koen Kooi wrote:
>>
>> Op 22 jan. 2013, om 10:58 heeft Kishon Vijay Abraham I <[email-masked]>
>> het volgende geschreven:
>>
>>> This patch series adds support for adding multiple PHY's (of same type).
>>> The binding information has to be present in the PHY library (otg.c) in
>>> order for it to return the appropriate PHY whenever the USB controller
>>> request for the PHY. So added a new API usb_bind_phy() to pass the
>>> binding
>>> information. This API should be called by platform specific
>>> initialization
>>> code.
>>>
>>> So the binding should be done something like
>>> usb_bind_phy("musb-hdrc.0.auto", 0, "omap-usb2.1.auto"); specifying
>>> the USB
>>> controller device name, index, and the PHY device name.
>>> I have done this binding for OMAP platforms, but it should be done for
>>> all the platforms.
>>>
>>> After this design, the phy can be got by passing the USB controller
>>> device
>>> pointer and the index.
>>>
>>> Developed this patch series on
>>> git://git.kernel.org/pub/scm/linux/kernel/git/balbi/usb.git xceiv
>>> after applying "usb: musb: add driver for control module" patch series
>>> and "ARM: dts: omap: add dt data for MUSB"
>>>
>>> Did basic enumeration testing in omap4 panda and omap3 beagle.
>>
>> With this patchset USB completely breaks on am33xx beaglebone, is that
>> intended?
> Not really.
> Does am33xx makes use of omap2430.c? Which PHY does am33xx uses?

I figured out it uses drivers/usb/musb/musb_dsps.c (So it doesn't use 
omap2430.c). I think it uses TWL4030_USB (TPS659x0) as PHY.

Then we need to adapt am33xx to use devm_usb_get_phy_by_phandle.
I'll see how to do it.

Thank you for testing and reporting it :-)

Thanks
Kishon